Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.style
Enum OdfCellProtectType

    java.lang.Object
      java.lang.Enum<OdfCellProtectType>
          org.odftoolkit.odfdom.dom.type.style.OdfCellProtectType

All Implemented Interfaces:
  Serializable, Comparable<OdfCellProtectType>

    public enum OdfCellProtectType

extends Enum<OdfCellProtectType>

DOM implementation of OpenDocument attribute style:cell-protect.

Enum Constant Summary
`FORMULA_HIDDEN`
`HIDDEN_AND_PROTECTED`
`NONE`
`PROTECTED`

Method Summary
`static OdfCellProtectType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfCellProtectType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfCellProtectType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfCellProtectType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FORMULA_HIDDEN

    public static final OdfCellProtectType FORMULA_HIDDEN

### NONE

    public static final OdfCellProtectType NONE

### HIDDEN_AND_PROTECTED

    public static final OdfCellProtectType HIDDEN_AND_PROTECTED

### PROTECTED

    public static final OdfCellProtectType PROTECTED

Method Detail

### values

    public static OdfCellProtectType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfCellProtectType c : OdfCellProtectType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfCellProtectType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfCellProtectType>`
  Returns:
    return the name of OdfCellProtectType

### toString

    public static String toString(OdfCellProtectType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfCellProtectType, see style:cell-protect
  Returns:
    return the name of OdfCellProtectType

### enumValueOf

    public static OdfCellProtectType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfCellProtectType
  Returns:
    return the constant of OdfCellProtectType, see style:cell-protect

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.